Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2098906 - F37FailsToInstall: python3-fastapi+all, python3-fastapi
Summary: F37FailsToInstall: python3-fastapi+all, python3-fastapi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fastapi
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2099049 2099139 2099142 2113625
Blocks: F38FailsToInstall PYTHON3.11 F37FailsToInstall 2107322
TreeView+ depends on / blocked
 
Reported: 2022-06-20 09:36 UTC by Miro Hrončok
Modified: 2022-11-23 01:16 UTC (History)
1 user (show)

Fixed In Version: python-fastapi-0.84.0-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-25 13:27:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github tiangolo fastapi issues 5048 0 None open "ValueError: 'not' is not a valid parameter name" on python 3.11 2022-06-29 16:39:38 UTC

Description Miro Hrončok 2022-06-20 09:36:18 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-fastapi) Fails To Install in Fedora 37:

can't install python3-fastapi+all:
  - nothing provides python(abi) = 3.10 needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  - nothing provides ((python3.10dist(ujson) < 4.0.2 or python3.10dist(ujson) > 4.0.2) with (python3.10dist(ujson) < 4.1 or python3.10dist(ujson) > 4.1) with (python3.10dist(ujson) < 4.2 or python3.10dist(ujson) > 4.2) with (python3.10dist(ujson) < 4.3 or python3.10dist(ujson) > 4.3) with (python3.10dist(ujson) < 5 or python3.10dist(ujson) > 5) with (python3.10dist(ujson) < 5.1 or python3.10dist(ujson) > 5.1) with python3.10dist(ujson) < 6~~ with python3.10dist(ujson) >= 4.0.1) needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  - nothing provides (python3.10dist(email-validator) < 2~~ with python3.10dist(email-validator) >= 1.1.1) needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  - nothing provides (python3.10dist(itsdangerous) < 3~~ with python3.10dist(itsdangerous) >= 1.1) needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  - nothing provides (python3.10dist(jinja2) < 4~~ with python3.10dist(jinja2) >= 2.11.2) needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  - nothing provides (python3.10dist(python-multipart) < 0.0.6~~ with python3.10dist(python-multipart) >= 0.0.5) needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  - nothing provides (python3.10dist(pyyaml) < 7~~ with python3.10dist(pyyaml) >= 5.3.1) needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  - nothing provides (python3.10dist(requests) < 3~~ with python3.10dist(requests) >= 2.24) needed by python3-fastapi+all-0.78.0-5.fc37.noarch
  
can't install python3-fastapi:
  - nothing provides python(abi) = 3.10 needed by python3-fastapi-0.78.0-5.fc37.noarch
  - nothing provides ((python3.10dist(pydantic) < 1.7 or python3.10dist(pydantic) > 1.7) with (python3.10dist(pydantic) < 1.7.1 or python3.10dist(pydantic) > 1.7.1) with (python3.10dist(pydantic) < 1.7.2 or python3.10dist(pydantic) > 1.7.2) with (python3.10dist(pydantic) < 1.7.3 or python3.10dist(pydantic) > 1.7.3) with (python3.10dist(pydantic) < 1.8 or python3.10dist(pydantic) > 1.8) with (python3.10dist(pydantic) < 1.8.1 or python3.10dist(pydantic) > 1.8.1) with python3.10dist(pydantic) < 2~~ with python3.10dist(pydantic) >= 1.6.2) needed by python3-fastapi-0.78.0-5.fc37.noarch
  - nothing provides python3.10dist(starlette) = 0.20.3 needed by python3-fastapi-0.78.0-5.fc37.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-37-x86_64 --disablerepo='*' --enablerepo=local install python3-fastapi+all python3-fastapi


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2022-06-20 10:07:09 UTC
This bugzilla is likely a fallout from the Python 3.11 rebuild.

If your package (or some of the dependencies it has) failed to rebuild during the Python 3.11 rebuild, they now fail to install. To fix this, packages need to be rebuilt in Rawhide.

We will slowly triage the bugzillas, but we'd appreciate your help.

If you know this is blocked by an existing reported build failure or another package not yet rebuilt with Python 3.11, please mark it as such by using the "Depends On"/"Blocks" bugzilla fields. That will help us determine what failures to prioritize.

If this is not Python 3.11 related, please remove the PYTHON3.11 blocking tracker.

Thank you and sorry for the inconvenience. Let me know if you need any help.

Comment 2 Miro Hrončok 2022-06-27 14:57:56 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Ben Beasley 2022-06-29 16:39:39 UTC
I made several changes toward resolving this:

- Drop unnecessary BR on pre-commit
- Ignore deprecation warnings that bubble up from httpx
- Temporarily drop uvicorn dependency as a workaround for bug 2099139

However, I am still hoping for some upstream feedback on https://github.com/tiangolo/fastapi/issues/5048.

Comment 4 Ben Beasley 2022-06-29 16:40:44 UTC
I’m leaving bug 2099139 as a blocker for now, since python-uvicorn *should* be a dependency.

Comment 5 Ben Beasley 2022-07-14 13:20:19 UTC
I have restored the python-uvicorn dependency. Still nothing from https://github.com/tiangolo/fastapi/issues/5048.

Comment 6 Ben Cotton 2022-08-09 13:39:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 7 Miro Hrončok 2022-08-25 09:50:02 UTC
We are past Fedora 37 Beta Freeze and this package does not even install. What is the plan wrt this package? Can it please be removed from the distribution until this is solved?

Comment 8 Ben Beasley 2022-08-25 13:15:44 UTC
Here is the relevant upstream issue: https://github.com/tiangolo/fastapi/issues/5048

As far as I can tell, without fully understanding what is happening, https://github.com/python/cpython/issues/92062 and the associated PR https://github.com/python/cpython/pull/92065 totally break FastAPI, because it uses reserved words "in" and "not" in its models. Unfortunately, there isn’t an obvious, straightforward way to fix that in a PR that I could apply downstream.

I’ve tried to get the author’s attention, and I kept hoping they would comment on the bug, but they don’t seem to have looked at it. It’s not like the project is inactive—the last release was two days ago—but there is a single overwhelmed maintainer and everything seems to happen too late.

Given the severity of the problem, it’s better for it to remain FTI than for it to be installable but broken.

This seems to be a leaf package, so I suppose giving up and retiring it in Rawhide and F37 is a viable option.

Comment 9 Ben Beasley 2022-08-25 13:27:18 UTC
The package has been retired in F37/Branched and F38/Rawhide due to https://github.com/tiangolo/fastapi/issues/5048.

Comment 10 Fedora Update System 2022-11-17 14:54:09 UTC
FEDORA-2022-561fbfdbf7 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-561fbfdbf7

Comment 11 Fedora Update System 2022-11-18 02:45:00 UTC
FEDORA-2022-561fbfdbf7 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-561fbfdbf7 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-561fbfdbf7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-11-23 01:16:58 UTC
FEDORA-2022-561fbfdbf7 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.